{%extends '::base_admin.html.twig'%}
{%block body%}
    <div class="row"><div class="col-sm-12"><h3>Les fans ({{fans|length}})</h3></div></div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered">
                <thead>
                <th>N°</th>
                <th>Nom</th>
                <th>Téléphone</th>
                <th>Pays</th>
                <th>Date d'inscription</th>
                <th>Dernière connexion</th>
                <th>Action</th>
                </thead>
                <tbody>
                    {%for a in fans if a.roles[0]=='ROLE_FAN'%}
                        <tr>
                            <td>{{loop.index}}</td>
                            <td>
                                {{a.nom|upper}} {{a.prenom}}
                            </td>
                            <td>{{a.telephone}}</td>
                            <td>{{a.pays|country(app.request.locale)}}</td>
                            <td>{{a.date|date('d-m-Y H:i:s')}}</td>
                            <td>{{a.lastLogin|date('d-m-Y H:i:s')}}</td>
                            <td>
                                <a href="{{path('admin_fan_profil', {'id': a.id})}}" title="Consulter le profil" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-eye-open"></i></a>
                                <a title="Voir ses projets soutenu" class="btn btn-default btn-sm disabled"><i class="glyphicon glyphicon-align-justify"></i></a>
                                <a href="{{path('admin_desactiver_compte', {'id': a.id})}}" title="{%if a.enabled%}Désactiver{%else%}Activer{%endif%} le compte" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-alert"></i></a>

                                <a data-toggle="modal" data-target="#myModal{{a.id}}" title="Supprimer le compte" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-trash"></i></a>

                                <div class="modal fade" id="myModal{{a.id}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title" id="myModalLabel">Confirmation</h4>
                                            </div>
                                            <div class="modal-body">
                                                <p style="text-align: center">Voulez vous vraiment supprimer ce compte?</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                                                <a href="{{path('admin_supprimer_compte', {'id': a.id})}}" class="btn btn-danger">Supprimer</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {%endfor%}
                </tbody>
            </table>
        </div>
    </div>
{%endblock body%}